package com.ms.biz.service.impl;

import com.ms.dal.entity.DdAftersaleMsg;
import com.ms.biz.service.DdAftersaleMsgService;
import com.ms.dal.mapper.DdAftersaleMsgMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 */
@Service
public class DdAftersaleMsgServiceImpl implements DdAftersaleMsgService{

    @Autowired
    private DdAftersaleMsgMapper ddAftersaleMsgMapper;

    @Override
    public int deleteByPrimaryKey(Long id) {
        return ddAftersaleMsgMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(DdAftersaleMsg record) {
        return ddAftersaleMsgMapper.insert(record);
    }

    @Override
    public int insertSelective(DdAftersaleMsg record) {
        return ddAftersaleMsgMapper.insertSelective(record);
    }

    @Override
    public DdAftersaleMsg selectByPrimaryKey(Long id) {
        return ddAftersaleMsgMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(DdAftersaleMsg record) {
        return ddAftersaleMsgMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(DdAftersaleMsg record) {
        return ddAftersaleMsgMapper.updateByPrimaryKey(record);
    }

}




